// priority 0

// Altering recipes
ServerEvents.recipes((event) => {
    // Remove recipes for TE coins, the mold that makes them, and the engine that destroys them
    event.remove({ id: "thermal:press_coin_die" });
    event.remove({ id: "thermal:dynamo_numismatic" });
    event.remove({ id: "thermal:tin_coin" });
    event.remove({ id: "thermal:copper_coin" });
    event.remove({ id: "thermal:bronze_coin" });
    event.remove({ id: "thermal:iron_coin" });
    event.remove({ id: "thermal:gold_coin" });
    event.remove({ id: "thermal:invar_coin" });
    event.remove({ id: "thermal:enderium_coin" });
    event.remove({ id: "thermal:signalum_coin" });
    event.remove({ id: "thermal:lumium_coin" });
    event.remove({ id: "thermal:netherite_coin" });

    // Remove Recipes from Create Deco coins to avoid confusion
    event.remove({ output: "createdeco:brass_coin" });
    event.remove({ output: "createdeco:brass_coinstack" });
    event.remove({ output: "createdeco:cast_iron_coin" });
    event.remove({ output: "createdeco:cast_iron_coinstack" });
    event.remove({ output: "createdeco:copper_coin" });
    event.remove({ output: "createdeco:copper_coinstack" });
    event.remove({ output: "createdeco:gold_coin" });
    event.remove({ output: "createdeco:gold_coinstack" });
    event.remove({ output: "createdeco:iron_coin" });
    event.remove({ output: "createdeco:iron_coinstack" });
    event.remove({ output: "createdeco:netherite_coin" });
    event.remove({ output: "createdeco:netherite_coinstack" });
    event.remove({ output: "createdeco:zinc_coin" });
    event.remove({ output: "createdeco:zinc_coinstack" });

    // Recipes for combining coins
    event.recipes.create.mixing("thermal:copper_coin", [
        "thermal:tin_coin",
        "thermal:tin_coin",
        "thermal:tin_coin",
        "thermal:tin_coin",
        "thermal:tin_coin",
        "thermal:tin_coin",
        "thermal:tin_coin",
        "thermal:tin_coin",
        "thermal:tin_coin",
        "thermal:tin_coin",
    ]);

    event.recipes.create.mixing("thermal:bronze_coin", [
        "thermal:copper_coin",
        "thermal:copper_coin",
        "thermal:copper_coin",
        "thermal:copper_coin",
        "thermal:copper_coin",
        "thermal:copper_coin",
        "thermal:copper_coin",
        "thermal:copper_coin",
        "thermal:copper_coin",
        "thermal:copper_coin",
    ]);

    event.recipes.create.mixing("thermal:iron_coin", [
        "thermal:bronze_coin",
        "thermal:bronze_coin",
        "thermal:bronze_coin",
        "thermal:bronze_coin",
        "thermal:bronze_coin",
        "thermal:bronze_coin",
        "thermal:bronze_coin",
        "thermal:bronze_coin",
        "thermal:bronze_coin",
        "thermal:bronze_coin",
    ]);

    event.recipes.create.mixing("thermal:gold_coin", [
        "thermal:iron_coin",
        "thermal:iron_coin",
        "thermal:iron_coin",
        "thermal:iron_coin",
        "thermal:iron_coin",
        "thermal:iron_coin",
        "thermal:iron_coin",
        "thermal:iron_coin",
        "thermal:iron_coin",
        "thermal:iron_coin",
    ]);

    event.recipes.create.mixing("thermal:invar_coin", [
        "thermal:gold_coin",
        "thermal:gold_coin",
        "thermal:gold_coin",
        "thermal:gold_coin",
        "thermal:gold_coin",
        "thermal:gold_coin",
        "thermal:gold_coin",
        "thermal:gold_coin",
        "thermal:gold_coin",
        "thermal:gold_coin",
    ]);

    event.recipes.create.mixing("thermal:enderium_coin", [
        "thermal:invar_coin",
        "thermal:invar_coin",
        "thermal:invar_coin",
        "thermal:invar_coin",
        "thermal:invar_coin",
        "thermal:invar_coin",
        "thermal:invar_coin",
        "thermal:invar_coin",
        "thermal:invar_coin",
        "thermal:invar_coin",
    ]);

    event.recipes.create.mixing("thermal:signalum_coin", [
        "thermal:enderium_coin",
        "thermal:enderium_coin",
        "thermal:enderium_coin",
        "thermal:enderium_coin",
        "thermal:enderium_coin",
        "thermal:enderium_coin",
        "thermal:enderium_coin",
        "thermal:enderium_coin",
        "thermal:enderium_coin",
        "thermal:enderium_coin",
    ]);

    event.recipes.create.mixing("thermal:lumium_coin", [
        "thermal:signalum_coin",
        "thermal:signalum_coin",
        "thermal:signalum_coin",
        "thermal:signalum_coin",
        "thermal:signalum_coin",
        "thermal:signalum_coin",
        "thermal:signalum_coin",
        "thermal:signalum_coin",
        "thermal:signalum_coin",
        "thermal:signalum_coin",
    ]);

    event.recipes.create.mixing("thermal:netherite_coin", [
        "thermal:lumium_coin",
        "thermal:lumium_coin",
        "thermal:lumium_coin",
        "thermal:lumium_coin",
        "thermal:lumium_coin",
        "thermal:lumium_coin",
        "thermal:lumium_coin",
        "thermal:lumium_coin",
        "thermal:lumium_coin",
        "thermal:lumium_coin",
    ]);

    // Recipes for breaking down coins
    event.recipes.create.crushing(
        ["10x thermal:tin_coin"],
        "thermal:copper_coin"
    );

    event.recipes.create.crushing(
        ["10x thermal:copper_coin"],
        "thermal:bronze_coin"
    );

    event.recipes.create.crushing(
        ["10x thermal:bronze_coin"],
        "thermal:iron_coin"
    );

    event.recipes.create.crushing(
        ["10x thermal:iron_coin"],
        "thermal:gold_coin"
    );

    event.recipes.create.crushing(
        ["10x thermal:gold_coin"],
        "thermal:invar_coin"
    );

    event.recipes.create.crushing(
        ["10x thermal:invar_coin"],
        "thermal:enderium_coin"
    );

    event.recipes.create.crushing(
        ["10x thermal:enderium_coin"],
        "thermal:signalum_coin"
    );

    event.recipes.create.crushing(
        ["10x thermal:signalum_coin"],
        "thermal:lumium_coin"
    );

    event.recipes.create.crushing(
        ["10x thermal:lumium_coin"],
        "thermal:netherite_coin"
    );
});
